import React from 'react';
import { useEffect } from 'react';
import './TodoView.css';
 
import { useNavigate } from 'react-router-dom';
 
function TodoView() {
  
  const navigate = useNavigate()
 
  const [todoItems, updateTodoItems] = React.useState([]);
  const [itemName, updateItemName] = React.useState('');
  const [itemStat, updateItemStat] = React.useState('');
  
  async function loginCheck() {
    let p = fetch('http://localhost:80/isloggedin', {credentials: "include"})
    .then((response) => {
      return response.text();
    })
    .then((text) => {
      if (text == 'no') navigate('/login');
    }).catch((e) => { 
      navigate('/login')
    });
  }
 
  async function getTodoItems() {
    let p = fetch( 'http://localhost:80/items/')
    .then((response) => {
      return response.json();
    })
    .then((objects) => { 
      updateTodoItems(objects);
    });
  }
  
  async function createItem() {
    let p = fetch( 'http://localhost:80/create/item/' + itemName + '/' + itemStat + '/' + 'Work')
    .then((response) => {
      return response.text();
    }).then((text) => {
      getTodoItems();
    });
  }
  
  async function removeItem(itemId) { }
 
  useEffect( () => {
    loginCheck();
    getTodoItems();
  }, []);
 
  return (
    <div className="TodoView">
      <h1>Responsibilities</h1>
      <div className="hSection">
        <h2>Create New Todo Item</h2>
        <div>
          <label>Item Name</label>
          <input onInput={e => updateItemName(e.target.value)}></input>
        </div>
        <div>
          <label>Item Status</label>
          <input onInput={e => updateItemStat(e.target.value)}></input>
        </div>
        <button onClick={e => createItem()}>Create Item</button>
      </div>
      <div className="hSection">
        <h2>Your Todo List:</h2>
        {todoItems.map(todoItem => <div onClick={e => removeItem(todoItem._id)} key={todoItem._id}>{todoItem.name} - {todoItem.stat}</div>)}
      </div>
    </div>
  );
}
 
export default TodoView;

